# Excel Templater

![GitHub release (latest by date)](https://img.shields.io/github/v/release/dataiku/dss-plugin-excel-template) ![Build status](https://img.shields.io/badge/build-passing-brightgreen) ![Support level](https://img.shields.io/badge/support-Unsupported-orange)

Documentation: [excel-templater](https://doc.dataiku.com/dss/latest/connecting/excel/excel-templater.html)

## Automatic Insert of DSS dataset into Excel template

- Preview of final Component

![](./resources/Templater-dataset.png)

- Component type
Visual Recipe Plugin

- Brief Description 
Input multiple datasets to your plugin and a managed Folder containing an excel Template.
In each sheet look for a “tagged cell” 
From this tag, extract the Dataiku dataset name, extract the data associated with this dataset and write the resulting dataset with the top right corner at the tag’s position.
Output the resulting excel to a managed folder.

- Input Parameter
Tag name (to be looked for in each sheet)

- DSS Input
Dataiku datasets (containing the data to use to populate the excel template)
Can be stored in any dataiku dataset with read access.
One Dataiku metadata dataset (Mapping a dataset to an excel sheet)
Can be stored in any dataiku dataset with write access.
Manage Folder (Containing the template Excel to be populated)
Can be stored on any File System connection.

- DSS Output 
Managed Folder 
Can be stored on any File System connection
